Skip to main content
GET
/
v1
/
refunds
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/refunds/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "86d3873a-3d4f-47fb-a541-0d8ac61684fe",
  "object": "refund",
  "amount": 1450,
  "currency": "usd",
  "external_refund_id": "u7ryosaryqp6juz",
  "failure_reason": null,
  "live_mode": true,
  "metadata": {},
  "reason": "requested_by_customer",
  "status": "pending",
  "charge": "aad049df-5de8-4e14-9c27-3ae6acd5353b",
  "customer": "c4864282-8edd-4721-8789-0b6cb6609e22",
  "return_request": null,
  "created_at": 1770234892,
  "updated_at": 1770234892
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

amount
integer

The amount in cents that was refunded, represented as a whole integer. For example 9900 is equivalent to $99.

reason
string

The reason for this refund, which can be one of duplicate, fraudulent, requested_by_customer, or expired_uncaptured_charge.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

charge

Expandable – The associated charge ID.

currency
string

Three-letter ISO currency code, in lowercase.

customer

Expandable – The associated customer ID.

external_refund_id
string

The external processor ID representing this refund.

failure_reason
string | null

The reason this refund failed, which can currently only be insufficient_funds.

live_mode
boolean

Set to true if this refund is in live mode, and set to false if it is in test mode.

refund_items

Expandable – Property not returned unless expanded.

return_request

Expandable – The associated return request ID.

status
string

The current status of this refund, which can be one of pending, succeeded, failed, or canceled.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.